@echo off
rem ****************************************************************************
rem *   diragent.bat
rem *
rem * Called by: Altiris Director Agent post install job
rem * Run from: C:\apps\diragent after being copied to the target server
rem * Function: Install the latest Director Agent in C:\apps\diragent\FILES
rem *   to the target server.
rem ****************************************************************************

cls
title Installing IBM Director Agent...

rem ****************************************************************************
rem * Save current working directory
rem ****************************************************************************
pushd

rem ****************************************************************************
rem * Find the latest Director Agent present.  This loops through the present
rem *   agents in alphabetical order, and the variable will end up set to the 
rem *   filename of the latest Agent's executable.
rem ****************************************************************************
echo Locating latest IBM Director Agent...
for /f %%a in ('dir \apps\diragent\files\dir*.exe /B /ON') do (
  set LatestAgent=%%a
)

rem ****************************************************************************
rem * Install the latest Agent in unattended and silent mode, with the path to 
rem *  its' response file
rem ****************************************************************************
echo.
echo Installing %LatestAgent%, this may take several minutes...
call \apps\diragent\files\%LatestAgent% -s -a silent rsp="\apps\diragent\files\diragent.rsp" waitforme

rem ****************************************************************************
rem * Restore working directory and exit 
rem ****************************************************************************
popd
exit
