@echo off

rem ********************************************************************************
rem *
rem * ADSUPDS.BAT
rem *
rem * This file controls the ServerGuide Scripting Toolkit Microsoft(R) Automated
rem * Deployment Services updates.  Environment variables used here and in the 
rem * batch files that are called by this file are defined in usrvars.bat.   
rem *
rem * This batch file is called by the autoexec.bat.
rem *
rem * NOTE:  This batch files stores the number 251 to represent error conditions.
rem *
rem ********************************************************************************

rem ********************************************************************************
rem * Step 1:
rem *
rem * Setup any additional system variables to be used by the Toolkit process.
rem ********************************************************************************
call sysvars.bat

rem ********************************************************************************
rem * Check for errors from SYSVARS.BAT
rem ********************************************************************************
rem echo Checking for errors setting up additional system variables
savestat.exe /get2 > nul

rem ********************************************************************************
rem * Check for errors: SYSTEM-VARIABLES
rem ********************************************************************************
FOR %%i in (251 255) do if errorlevel %%i goto ERROR


:UPDATES
rem ********************************************************************************
rem * Step 2:
rem *
rem * Perform BIOS and firmware updates if selected.  DO_UPDS is defined and set
rem * in usrvars.bat.
rem ********************************************************************************
echo Checking if user has requested to perform updates: DO_UPDS = %DO_UPDS%
if %DO_UPDS%==Y goto RUN_UPD
if %DO_UPDS%==y goto RUN_UPD
goto RESET_PS

      

:RUN_UPD
rem ********************************************************************************
rem * Copy files to %RAMDSK% 
rem ********************************************************************************
echo Copying Files to Ramdisk
COPY %TK_PATH%\examples\tknet.bat     %RAMDSK%\       
COPY %TK_PATH%\examples\clrupds.bat   %RAMDSK%\       
COPY %TK_PATH%\examples\clrnet.bat    %RAMDSK%\       
COPY %TK_PATH%\examples\clrfib.bat    %RAMDSK%\       
COPY %TK_PATH%\examples\clros.bat     %RAMDSK%\       
COPY %TK_PATH%\examples\fwupdate.bat  %RAMDSK%\       
COPY %TK_PATH%\utils\savestat.exe     %RAMDSK%\      
COPY %TK_PATH%\utils\sleep.exe        %RAMDSK%\       
COPY %TK_PATH%\utils\reboot.com       %RAMDSK%\       
COPY %TK_PATH%\utils\hwdetect.exe     %RAMDSK%\ 


rem * Re-initialize usrvars.bat to pick up MACHTYPE variable set in sysvars.bat
call a:\usrvars.bat

echo Calling Updates batch file
call %RAMDSK%\fwupdate.bat

rem ********************************************************************************
rem * Check for errors from UPDATES
rem ********************************************************************************
rem echo Checking for errors from updates
savestat.exe /get2 > nul

rem ********************************************************************************
rem * Check for errors: SAVESTAT.EXE
rem ********************************************************************************
FOR %%i in (251 255) do if errorlevel %%i goto ERROR


:RESET_PS
rem ********************************************************************************
rem * Step 3:
rem *
rem * Clear the rest of persistent storage to prevent any problems during the
rem * Toolkit process.
rem ********************************************************************************
savestat.exe /reset > nul

goto END


:ERROR
rem ********************************************************************************
rem * Hit an error in this batch file.
rem ********************************************************************************
echo Encountered an error and stopped processing in "adsupds.bat".

rem * Clear any error conditions.
savestat.exe /reset > nul

goto END



:END
