@echo off

rem ********************************************************************************
rem *
rem * INSTOS.BAT
rem *
rem * This file controls the installation of Linux Operating Systems for the
rem * ServerGuide Scripting Toolkit.
rem *
rem * This batch file is called by the runinst.bat.
rem *
rem ********************************************************************************

rem ********************************************************************************
rem * If Altiris, jump to special section
rem ********************************************************************************
if %DPLY_TYPE%==4 goto ALT_INST

rem ********************************************************************************
rem * Clear persistent storage, before continuing.
rem ********************************************************************************
echo Clear persistent, before continuing
savestat.exe /set2=0 > nul

rem ********************************************************************************
rem * Check for errors: SAVESTAT.EXE
rem ********************************************************************************
if not errorlevel 255 goto FORMATS
echo An error occurred during clearing persistent storage.
echo.
goto ERROR


:ALT_INST
rem ********************************************************************************
rem If Altiris, need to do some custom work here.
rem ********************************************************************************
echo Loading smartdrv
if exist %TKDRV%\bootwiz\dos\smartdrv.exe goto SMRT_1
if exist %TKDRV%\bootwiz\platfo~1\dos\MsDos\OS\smartdrv.exe goto SMRT_2

:SMRT_1
%TKDRV%\bootwiz\dos\smartdrv C+ 4096 4096 /v > nul
goto ALT_E

:SMRT_2
%TKDRV%\bootwiz\platfo~1\dos\MsDOS\OS\smartdrv C+ 4096 4096 /v > nul 

:ALT_E


:FORMATS
rem ********************************************************************************
rem * Format the hard drive
rem ********************************************************************************
echo Formatting the NOS partition
format.com c: /U /autotest

rem ********************************************************************************
rem * Check for errors: FORMAT.COM
rem ********************************************************************************
if not errorlevel 1 goto LOCKDRV
echo An error occurred during formatting.
if %DPLY_TYPE%==4 goto ALTSTAT2
goto ERROR

:LOCKDRV
rem ********************************************************************************
rem * If Doing an Altiris-Based Installation, Lock the C: drive before continuing.
rem ********************************************************************************
if not %DPLY_TYPE%==4 goto LINTYPE
echo y|lock c: > null

:LINTYPE
rem ********************************************************************************
rem * Check the OS installation type to determine kernel parameters needed.
rem ********************************************************************************

if "%OS_TYPE%"=="REDHAT" goto RHCFG
if "%OS_TYPE%"=="redhat" goto RHCFG
if "%OS_TYPE%"=="SUSE" goto SUSECFG
if "%OS_TYPE%"=="suse" goto SUSECFG
if "%OS_TYPE%"=="vmware" goto VMCFG
if "%OS_TYPE%"=="VMWARE" goto VMCFG

cls
echo *****************************************
echo * OS Type %OS_TYPE% not recognized!
echo * OS Installation Failed!
echo * Check the uservars.bat file
echo * for errors.
echo *****************************************
sleep 5
goto error

:SUSECFG
rem ********************************************************************************
rem * Generate the Syslinux configuration file for SUSE Installations.
rem * This step is necessary because Syslinux requires a configuration file to boot.
rem ********************************************************************************
echo Generating Syslinux configuration file (syslinux.cfg)

echo default %OS_TYPE% > C:\syslinux.cfg
echo prompt 1 >> C:\syslinux.cfg
echo timeout 150 >> C:\syslinux.cfg
echo display toolkit.msg >> C:\syslinux.cfg
echo      label %OS_TYPE% >> C:\syslinux.cfg
echo kernel %KRL_FILE% >> C:\syslinux.cfg

echo Append > %RAMDSK%\syslinux.tmp

rem ********************************************************************************
rem * If the user provided a DPY_NIC variable in USRVARS, then set
rem * the value.
rem ********************************************************************************
if not "%DPY_NIC%"=="" echo netdevice=%DPY_NIC% >> %RAMDSK%\syslinux.tmp

rem ********************************************************************************
rem * Add initrd root= and the ks location to the config file
rem ********************************************************************************
echo install=%OS_URL% >> %RAMDSK%\syslinux.tmp
echo initrd=%IRD_FILE% >> %RAMDSK%\syslinux.tmp
echo autoYAST=%ANS_URL% >> %RAMDSK%\syslinux.tmp

rem ********************************************************************************
rem * Add User Configured Parameters from the usrvars.bat file
rem ********************************************************************************
type %RAMDSK%\usrvars.tmp >> %RAMDSK%\syslinux.tmp

echo textmode=1 splash=silent showopts >> %RAMDSK%\syslinux.tmp
 
rem ********************************************************************************
rem * If the user provided a RDSK_SZ variable in USRVARS, then set
rem * the value. 
rem ********************************************************************************
if "%RDSK_SZ%"=="" echo ramdisk_size=65536 >> %RAMDSK%\syslinux.tmp
if not "%RDSK_SZ%"=="" echo ramdisk_size=%RDSK_SZ% >> %RAMDSK%\syslinux.tmp



rem ********************************************************************************
rem * Comb the file to make all lines one line to append to syslinux.cfg
rem ********************************************************************************

linecomb.exe %RAMDSK%\syslinux.tmp %RAMDSK%\syslinux.cfg

rem ********************************************************************************
rem * Add User Configured Parameters from the usrvars.bat file
rem ********************************************************************************

type %RAMDSK%\syslinux.cfg >> C:\syslinux.cfg

rem ********************************************************************************
rem * Check for errors in parameter file creation process
rem ********************************************************************************
if exist C:\syslinux.cfg goto SLCHECK
echo An error occurred during Syslinux configuration file generation.
echo.
goto ERROR

:RHCFG
rem ********************************************************************************
rem * Generate the Syslinux configuration file for RedHat Installations.
rem * This step is necessary because Syslinux requires a configuration file to boot.
rem ********************************************************************************
echo Generating Syslinux configuration file (syslinux.cfg)

echo default %OS_TYPE% > C:\syslinux.cfg
echo prompt 1 >> C:\syslinux.cfg
echo timeout 150 >> C:\syslinux.cfg
echo display toolkit.msg >> C:\syslinux.cfg
echo      label %OS_TYPE% >> C:\syslinux.cfg
echo kernel %KRL_FILE% >> C:\syslinux.cfg

echo Append > %RAMDSK%\syslinux.tmp

rem ********************************************************************************
rem * If the user provided a RDSK_SZ variable in USRVARS, then set
rem * the value. 
rem ********************************************************************************
if "%RDSK_SZ%"=="" echo ramdisk_size=65536 >> %RAMDSK%\syslinux.tmp
if not "%RDSK_SZ%"=="" echo ramdisk_size=%RDSK_SZ% >> %RAMDSK%\syslinux.tmp

rem ********************************************************************************
rem * If the user provided a DPY_NIC variable in USRVARS, then set
rem * the value.
rem ********************************************************************************
if not "%DPY_NIC%"=="" echo ksdevice=%DPY_NIC% >> %RAMDSK%\syslinux.tmp

rem ********************************************************************************
rem * Add nousbstorage to the config file unless machine types 7981, 8843, 1883.
rem ********************************************************************************
FOR %%i in (7981 8843 1883) do if %MACHTYPE% == %%i goto NOUSBEND

:NOUSB
echo nousbstorage >> %RAMDSK%\syslinux.tmp
:NOUSBEND

rem ********************************************************************************
rem * Add initrd, root=, and the ks location to the config file
rem ********************************************************************************
echo initrd=%IRD_FILE% root=/dev/ram rw >> %RAMDSK%\syslinux.tmp
echo ks=%ANS_URL% >> %RAMDSK%\syslinux.tmp

rem ********************************************************************************
rem * Add Install Method parameter with the OS_URL variable defined in usrvars
rem ********************************************************************************
if "%OS_URL%" == "" goto SKIPURL1
echo method=%OS_URL% >> %RAMDSK%\syslinux.tmp
:SKIPURL1

rem ********************************************************************************
rem * Add User Configured Parameters from the usrvars.bat file
rem ********************************************************************************
type %RAMDSK%\usrvars.tmp >> %RAMDSK%\syslinux.tmp

rem ********************************************************************************
rem * Comb the file to make all lines one line to append to syslinux.cfg
rem ********************************************************************************

linecomb.exe %RAMDSK%\syslinux.tmp %RAMDSK%\syslinux.cfg

rem ********************************************************************************
rem * Add User Configured Parameters from the usrvars.bat file
rem ********************************************************************************

type %RAMDSK%\syslinux.cfg >> C:\syslinux.cfg

rem ********************************************************************************
rem * Check for errors in parameter file creation process
rem ********************************************************************************
if exist C:\syslinux.cfg goto SLCHECK
echo An error occurred during Syslinux configuration file generation.
echo.
goto ERROR

:VMCFG
rem ********************************************************************************
rem * Generate the Syslinux configuration file for RedHat Installations.
rem * This step is necessary because Syslinux requires a configuration file to boot.
rem ********************************************************************************
echo Generating Syslinux configuration file (syslinux.cfg)

echo default %OS_TYPE% > C:\syslinux.cfg
echo prompt 1 >> C:\syslinux.cfg
echo timeout 150 >> C:\syslinux.cfg
echo display toolkit.msg >> C:\syslinux.cfg
echo      label %OS_TYPE% >> C:\syslinux.cfg
echo kernel %KRL_FILE% >> C:\syslinux.cfg

echo Append > %RAMDSK%\syslinux.tmp

rem ********************************************************************************
rem * If the user provided a RDSK_SZ variable in USRVARS, then set
rem * the value. 
rem ********************************************************************************
if "%RDSK_SZ%"=="" echo ramdisk_size=65536 >> %RAMDSK%\syslinux.tmp
if not "%RDSK_SZ%"=="" echo ramdisk_size=%RDSK_SZ% >> %RAMDSK%\syslinux.tmp

rem ********************************************************************************
rem * If the user provided a DPY_NIC variable in USRVARS, then set
rem * the value.
rem ********************************************************************************
if not "%DPY_NIC%"=="" echo ksdevice=%DPY_NIC% >> %RAMDSK%\syslinux.tmp

rem ********************************************************************************
rem * Add nousbstorage to the config file unless machine types 7981, 8843, 1883.
rem ********************************************************************************
FOR %%i in (7981 8843 1883) do if %MACHTYPE% == %%i goto NOUSBEND

:NOUSB
echo nousbstorage >> %RAMDSK%\syslinux.tmp
:NOUSBEND

rem ********************************************************************************
rem * Add initrd, root=, and the ks location to the config file
rem ********************************************************************************
echo initrd=%IRD_FILE% root=/dev/ram rw >> %RAMDSK%\syslinux.tmp
echo ks=%ANS_URL% >> %RAMDSK%\syslinux.tmp

rem ********************************************************************************
rem * Add Install Method parameter with the OS_URL variable defined in usrvars
rem ********************************************************************************
if "%OS_URL%" == "" goto SKIPURL2
echo method=%OS_URL% >> %RAMDSK%\syslinux.tmp
:SKIPURL2

rem ********************************************************************************
rem * Add User Configured Parameters from the usrvars.bat file
rem ********************************************************************************
type %RAMDSK%\usrvars.tmp >> %RAMDSK%\syslinux.tmp

rem ********************************************************************************
rem * Comb the file to make all lines one line to append to syslinux.cfg
rem ********************************************************************************

linecomb.exe %RAMDSK%\syslinux.tmp %RAMDSK%\syslinux.cfg

rem ********************************************************************************
rem * Add User Configured Parameters from the usrvars.bat file
rem ********************************************************************************

type %RAMDSK%\syslinux.cfg >> C:\syslinux.cfg

rem ********************************************************************************
rem * Check for errors in parameter file creation process
rem ********************************************************************************
if exist C:\syslinux.cfg goto SLCHECK
echo An error occurred during Syslinux configuration file generation.
echo.
goto ERROR
:SLCHECK
rem ********************************************************************************
rem * Begin Linux installation
rem ********************************************************************************
if exist %SL_PATH%\dos\syslinux.com goto CPY_FILE
echo An error occurred during Syslinux execution.
echo Could not find %SL_PATH%\dos\syslinux.com.
echo.
goto ERROR

:CPY_FILE
rem ********************************************************************************
rem * Execute syslinux on the C: drive
rem ********************************************************************************
%SL_PATH%\dos\syslinux.com C:

rem ********************************************************************************
rem * Copy the boot kernel, initial ramdisk and kickstart/autoYAST file to the C: drive.
rem ********************************************************************************
:IRDFILE
if exist %IRD_PATH%\%IRD_FILE%  goto KRNFILE
if %DPLY_TYPE% == 4 goto ALTSTAT3
echo An error occurred during kernel files check.
echo Could not find %IRD_PATH%\%IRD_FILE% .
echo.
goto ERROR

:KRNFILE
if exist %KRL_PATH%\%KRL_FILE% goto XCPYFILE
if %DPLY_TYPE% == 4 goto ALTSTAT4
echo An error occurred during kernel files check.
echo Could not find %KRL_PATH%\%KRL_FILE% .
echo.
goto ERROR

:XCPYFILE
xcopy /V %IRD_PATH%\%IRD_FILE% C:
xcopy /V %KRL_PATH%\%KRL_FILE% C:

rem ********************************************************************************
rem * Copy Boot Message to the C: Drive
rem ********************************************************************************

xcopy /V %TK_PATH%\examples\linux\%OS_TYPE%.* C:\toolkit.*
xcopy /V %TK_PATH%\examples\linux\toolkit.lss C:

if not %DPLY_TYPE% == 4 goto RM_MEDIA

:ADLAGENT
rem ********************************************************************************
rem * If Doing Altiris Installation, Copy Altiris Agent To Local Drive
rem ********************************************************************************
xcopy /V M:\Agents\ADLAgent\*.* c:\*.*

goto RM_MEDIA

:RM_MEDIA
rem ********************************************************************************
rem * This section controls whether the user is prompted to take out the bootable media
rem * or the altboot program is called to disable the diskette from booting through the
rem * remainder of installation process.   If altboot.exe is called, then the diskette
rem * MUST be restored OUTSIDE this ServerGuide Scripting Toolkit process.
rem ********************************************************************************

rem *********************************************************************
rem * Defines the type of prompting to use during deployment.
rem * Valid values are:
rem *   0 - Always prompt the user to remove the boot media. Boot media
rem *       is unaltered.
rem *   1 - Run altboot.exe to disable a writable boot diskette.  This
rem *       means the user will not be prompted to remove the boot media,
rem *       allowing for the complete automation of the installation process.
rem *   2 - Boot media is write protected, user will be prompted to remove
rem *       the non-writable boot media.  (REQUIRED for bootable CDs)
rem *   3 - Deployment will be via a RSA-II adapter.  Deployment will exit
rem *       automatically so that the boot media can be unmounted.
rem *   4 - Deployment using Altiris(R).
rem *********************************************************************
if %DPLY_TYPE% == 0 goto ASKUSER
if %DPLY_TYPE% == 1 goto ALTBOOT
if %DPLY_TYPE% == 2 goto ASKUSER
rem if %DPLY_TYPE% == 3 goto VFLOP
if %DPLY_TYPE% == 4 goto ALTSTAT0


:ALTBOOT
rem ********************************************************************************
rem * Run Altboot utility to disable booting from the floppy and boot directly from
rem * the hard drive.
rem ********************************************************************************
echo Running altboot.exe based on variable set in usrvars.bat
altboot.exe /h  > nul
goto DEPLOY

:ASKUSER
rem ********************************************************************************
rem * Ask customer to remove boot diskette, this path will be used when the boot
rem * media is a bootable CDROM, since altboot.exe can NOT alter a non-writable
rem * media.
rem ********************************************************************************



sleep 10
cls
echo ************************************************
echo *                                              *
echo *  Please remove bootable media at this time.  *
echo *                                              *
echo ************************************************
pause
goto DEPLOY

rem :FNREBOOT
rem ********************************************************************************
rem * Reboot the machine
rem ********************************************************************************
rem echo Final reboot from ServerGuide Scripting Toolkit
rem %RAMDSK%\reboot.com

:ERROR
rem ********************************************************************************
rem * Hit an error in this batch file.
rem ********************************************************************************
echo Encountered an error and stopped processing in "instos.bat".

rem * If doing an Altiris installation, jump to status
if %DPLY_TYPE%==4 goto ALTSTAT1

savestat.exe /set2=251 > nul
goto END

:ALTSTAT0
rem ********************************************************************************
rem Update Altiris with necessary status
rem ********************************************************************************
echo Updating Altiris status: Good
%TKDRV%\logevent.exe -c:0 -l:1 -ss:"INSTOS:  Completed successfully."
goto DEPLOY

:ALTSTAT1
rem ********************************************************************************
rem Update Altiris with necessary status
rem ********************************************************************************
echo Updating Altiris status: Error
%TKDRV%\logevent.exe -c:251 -l:3 -ss:"INSTOS:  Encountered an error."

rem Reset to root of Toolkit drive
%TKDRV%
cd \

rem Reset persistent storage
savestat.exe /reset > nul
goto END

:ALTSTAT2
rem ********************************************************************************
rem Update Altiris with necessary status
rem ********************************************************************************
echo Updating Altiris status: Error
%TKDRV%\logevent.exe -c:251 -l:3 -ss:"INSTOS: Partition Formatting Failed."

rem Reset to root of Toolkit drive
%TKDRV%
cd \

rem Reset persistent storage
savestat.exe /reset > nul
goto END

:ALTSTAT3
rem ********************************************************************************
rem Update Altiris with necessary status
rem ********************************************************************************
echo Updating Altiris status: Error
%TKDRV%\logevent.exe -c:251 -l:3 -ss:"INSTOS:  Could not find %IRD_PATH%\%IRD_FILE% ."

rem Reset to root of Toolkit drive
%TKDRV%
cd \

rem Reset persistent storage
savestat.exe /reset > nul
goto END

:ALTSTAT4
rem ********************************************************************************
rem Update Altiris with necessary status
rem ********************************************************************************
echo Updating Altiris status: Error
%TKDRV%\logevent.exe -c:251 -l:3 -ss:"INSTOS:  Could not find %KRL_PATH%\%KRL_FILE% ."

rem Reset to root of Toolkit drive
%TKDRV%
cd \

rem Reset persistent storage
savestat.exe /reset > nul
goto END

:DEPLOY
cls
echo **********************************************
echo * The Scripting Toolkit Will Now Reboot The  *
echo * server to complete the installation.       *
echo * The server will be rebooted in 15 seconds! *
echo * Press any key to reboot immediately.       *
echo **********************************************
sleep 15
reboot
goto END


:END
