@echo off

rem ********************************************************************************
rem *
rem * PREPPART.BAT
rem *
rem * This file creates a NOS partition for the Linux Installation
rem * scenarios for the ServerGuide Scripting Toolkit.  
rem * 
rem * This batch file clears the first hard drive of any existing partitions, then 
rem * it creats a new, single partition, whose size is determined by the 
rem * PARTITION_SIZE environment variable, set in usrvars.bat.
rem *
rem * This batch file is called by the runinst.bat.
rem *
rem ********************************************************************************



rem ********************************************************************************
rem * Check if MBR signature is needed for Windows 2003 RAID systems
rem ********************************************************************************
if not %DPLY_TYPE%==4 goto FDRAID

rem Always write signature when running from Altiris
mbrtool /d:all /s
goto FDDELETE


:FDRAID
FOR %%i in (y Y) do if %CFG_RD% == %%i goto CKRAID
goto FDDELETE


:CKRAID
echo Checking for ServeRAID problem

:RUNBAT2
mbrtool /d:all /s


:FDDELETE
rem ********************************************************************************
rem * Delete any existing partitions on the first hard drive found in the system.
rem ********************************************************************************
echo Remove any existing partitions
fdisk32.com 1 /delete:all

rem ********************************************************************************
rem * Check for errors: FDISK32.COM
rem ********************************************************************************
if not errorlevel 1 goto FDCREATE
echo An error occurred during deleting partitions.
echo.
goto ERROR


:FDCREATE
rem ********************************************************************************
rem * Create new NOS partition.  The partition size is set to 100MB.
rem ********************************************************************************
echo Create new partition
fdisk32.com 1 /pri:100

rem ********************************************************************************
rem * Check for errors: FDISK32.COM
rem ********************************************************************************
if not errorlevel 1 goto FDSAVEST
echo An error occurred during creating partitions.
echo.
goto ERROR


:FDSAVEST
rem ********************************************************************************
rem * Write information to persistent storage that will identify what installation
rem * steps have been completed so far, and control where processing resumes after 
rem * the reboot.
rem ********************************************************************************

rem ********************************************************************************
rem * If doing an Altiris installation, jump to status
rem ********************************************************************************
if %DPLY_TYPE%==4 goto ALTSTAT0

echo Save step location to return after reboot
savestat.exe /set2=100 > nul

rem ********************************************************************************
rem * Check for errors: SAVESTAT.EXE
rem ********************************************************************************
if not errorlevel 255 goto FDREBOOT
echo An error occurred during writing to persistent storage.
echo.
goto ERROR

:FDREBOOT
rem ********************************************************************************
rem * Reboot the system.  Control will return to runinst.bat and processing will
rem * continue.
rem ********************************************************************************
echo *****************************************
echo * A partition has been created on the   *
echo * primary drive. In order to initialize *
echo * this partition, the system must be    *
echo * rebooted.                             *
echo *                                       *
echo * The system will reboot in 15 seconds! *
echo * Press any key to reboot immediately.  *
echo *****************************************

sleep 15
reboot.com
goto END


:ERROR
rem ********************************************************************************
rem * Hit an error in this batch file.
rem ********************************************************************************
echo Encountered an error and stopped processing in "preppart.bat".

rem ********************************************************************************
rem * If doing an Altiris installation, jump to status
rem ********************************************************************************
if %DPLY_TYPE%==4 goto ALTSTAT1

savestat.exe /set2=251 > nul

goto END

:ALTSTAT0
rem ********************************************************************************
rem * Update Altiris with necessary status
rem ********************************************************************************
echo Updating Altiris status: Good
%TKDRV%\logevent.exe -c:0 -l:1 -ss:"PREPPART: Completed successfully."

rem Reset to root of Toolkit drive
%TKDRV%
cd \

goto END


:ALTSTAT1
rem ********************************************************************************
rem * Update Altiris with necessary status
rem ********************************************************************************
echo Updating Altiris status: Error
%TKDRV%\logevent.exe -c:251 -l:3 -ss:"PREPPART:  Encountered an error."

rem Reset to root of Toolkit drive
%TKDRV%
cd \

goto END


:END
