@echo off

rem ********************************************************************************
rem *
rem * LOADBIN.BAT
rem *
rem * This file controls loading of the ServerGuide Scripting Toolkit Altiris binary
rem * into the Altiris Deployment Solution for Windows console.  
rem *
rem * This batch file is called by msildbin.bat.
rem *
rem ********************************************************************************

rem ********************************************************************************
rem * Set some environment variables to make this easier to maintain
rem * Toolkit: Product Name - TK_NAME
rem * Toolkit: Product Version - TK_VER
rem * Toolkit: Path to base Toolkit directory - TK_PT
rem * Toolkit: Install directory - TK_INS
rem * Toolkit: BuildID - TK_ID
rem ********************************************************************************

rem * Toolkit: Altiris Windows binary
set TK_BIN=ServerGuideToolkit-AltirisDSForWindows.bin

rem ********************************************************************************
rem * Change to the Altiris base directory, their import command only seems to work
rem * from inside this directory.
rem ********************************************************************************
cd %TK_INS%

rem ********************************************************************************
rem * Call Altiris import utility to load the ServerGuide Scripting Toolkit jobs
rem * into the Altiris GUI
rem ********************************************************************************
aximport %TK_PT%\ALTIRIS\%TK_BIN% /r /n /y /f "%TK_NAME% - v%TK_VER% (%TK_ID%)"


rem ********************************************************************************
rem * Complete setup
rem ********************************************************************************
copy %TK_PT%\ALTIRIS\autosgtk.bat  autosgtk.bat > nul


goto END


:ERROR
rem ********************************************************************************
rem * Hit an error in this batch file.
rem ********************************************************************************
echo Encountered an error and stopped processing in "loadbin.bat".

pause
goto END

:END
