@echo off
rem ********************************************************************************
rem *
rem * RSTRAID.BAT
rem *
rem * This file restores the RAID controllers to factory-default settings.
rem *
rem * The RD_RESET environment variable defined and set in usrvars.bat controls
rem * whether this batch file is run or not.
rem *
rem * This batch file is called by rundisp.bat.
rem *
rem ********************************************************************************


%RAMDSK%

rem ********************************************************************************
rem * clear enviroment variables
rem ********************************************************************************
call clros.bat
call clrupds.bat
call clrnet.bat
call clrfib.bat
set CFG_RD=
set CONFIG=
set ETCDIR=
set MACHTYPE=
set TASDIR=
set TAS_PATH=
set TKDIR=
set NOSDIR=


rem ********************************************************************************
rem * Dropping the network share
rem ********************************************************************************
call tknet.bat DOWN
rem ********************************************************************************
rem * Check for errors from tknet.bat
rem ********************************************************************************
savestat.exe /get2 > nul

rem ********************************************************************************
rem * Check for errors: SAVESTAT.EXE
rem ********************************************************************************
for %%i in (251 255) do if errorlevel %%i goto ERROR

rem ********************************************************************************
rem * Restore factory-default settings
rem ********************************************************************************

call loadraid.bat

PRAID /r /y

if errorlevel 1 goto ERROR

rem ********************************************************************************
rem * Mapping the network share for Altiris Only
rem ********************************************************************************
call tknet.bat UP
rem ********************************************************************************
rem * Check for errors from tknet.bat
rem ********************************************************************************
savestat.exe /get2 > nul

rem ********************************************************************************
rem * Check for errors: SAVESTAT.EXE
rem ********************************************************************************
for %%i in (251 255) do if errorlevel %%i goto ERROR

rem ********************************************************************************
rem * If not doing standard Toolkit, jump
rem * DPLY_TYPE=
rem *   4 - Deployment using Altiris(R) Deployment Solution.
rem ********************************************************************************
if %DPLY_TYPE%==4 goto ALTSTAT0
goto END


:ERROR
rem ********************************************************************************
rem * Mapping the network share for Altiris Only
rem ********************************************************************************
call tknet.bat UP
rem ********************************************************************************
rem * Check for errors from tknet.bat
rem ********************************************************************************
savestat.exe /get2 > nul

rem ********************************************************************************
rem * Check for errors: SAVESTAT.EXE
rem ********************************************************************************
for %%i in (251 255) do if errorlevel %%i goto ERROR

rem ********************************************************************************
rem * Handle errors.
rem ********************************************************************************
echo Encountered an error restoring RAID to factory-default settings in "rstraid.bat".

if %DPLY_TYPE%==4 goto ALTSTAT1

savestat.exe /set2=251 > nul
goto END



:ALTSTAT0
rem ********************************************************************************
rem * Update Altiris with necessary status
rem ********************************************************************************
echo Updating Altiris status: Good

%TKDRV%\logevent.exe -c:0 -l:1 -ss:"RSTRAID: Completed successfully."
goto END

rem Reset to root of Toolkit drive
%TKDRV%
cd \

goto END


:ALTSTAT1
rem ********************************************************************************
rem * Update Altiris with necessary status
rem ********************************************************************************
echo Updating Altiris status: Error
%TKDRV%\logevent.exe -c:251 -l:3 -ss:"RSTRAID:  Encountered an error."

rem Reset to root of Toolkit drive
%TKDRV%
cd \

rem Reset persistent storage
savestat.exe /reset > nul
goto END


:END
rem ********************************************************************************
rem * Finished.
rem ********************************************************************************
%TKDRV%
