@echo off

rem ********************************************************************************
rem *
rem * RUNJOBS.BAT
rem *
rem * This file controls running actions for the ServerGuide Scripting Toolkit.
rem *
rem * This batch file is called by autoexec.bat
rem *
rem ********************************************************************************

rem ********************************************************************************
rem * Step 1:
rem *
rem * Setup any additional system variables to be used by the Toolkit process.
rem ********************************************************************************
call sysvars.bat

rem ********************************************************************************
rem * Check for errors from SYSVARS.BAT
rem ********************************************************************************
rem echo Checking for errors from variable check.
savestat.exe /get2 > nul

FOR %%i in (251 255) do if errorlevel %%i goto ERROR


rem ********************************************************************************
rem * Step 2:
rem *
rem * Make sure that we don't write any steps to storage
rem ********************************************************************************
set DPLY_TYPE=5


rem ********************************************************************************
rem * Step 3:
rem *
rem * Determine what the customer wants to do
rem ********************************************************************************
call stkhder.bat

if "%1" == "" goto ERRCALL
if  %1  == 1  goto CFGRAID
if  %1  == 2  goto CFGFIBRE
if  %1  == 3  goto CFGBIOS
if  %1  == 4  goto CFGSRF

goto ERRCALL


:CFGRAID
rem ********************************************************************************
rem *
rem * Perform RAID configuration of any RAID adapters in the system
rem *
rem ********************************************************************************

rem Display RAID information
echo.
echo Configure RAID variables:
echo RAID path\file = %RD_PATH%\%RD_FILE%
echo Stop if no policy found = %RD_ERR1%
echo Stop if no RAID controllers found = %RD_ERR2%
echo.

sleep 30

:RUNRAID
rem ********************************************************************************
rem * Clear environment space
rem ********************************************************************************
call clros.bat

echo.
echo Calling config RAID batch file

call cpraid.bat                                   
call %RAMDSK%\cfgraid.bat

rem ********************************************************************************
rem * Check for errors from CFGRAID
rem ********************************************************************************
rem echo Checking for errors from RAID configuration

savestat.exe /get2 > nul

FOR %%i in (251 255) do if errorlevel %%i goto ERROR

goto END


:CFGFIBRE
rem ********************************************************************************
rem *
rem * Perform fibre host adapter configuration
rem *
rem ********************************************************************************

rem Display Fibre information
echo.
echo Configure Fibre variables:
echo Host adapter I/O address = %FIB_IO%
echo Storage device world-wide name = %FIB_WWN%
echo Boot LUN = %FIB_LUN%
echo.

sleep 30

:RUNFIB
rem ********************************************************************************
rem * Clear environment space
rem ********************************************************************************
call clros.bat

echo.
echo Calling fibre configuration batch file

call cfgfibre.bat

rem ********************************************************************************
rem * Check for errors from CFGFIBRE
rem ********************************************************************************
rem echo Checking for errors from fibre configuration

savestat.exe /get2 > nul

FOR %%i in (251 255) do if errorlevel %%i goto ERROR

goto END



:CFGBIOS
rem ********************************************************************************
rem *
rem * Perform system BIOS updates
rem *
rem ********************************************************************************

set UPD_BIOS=Y
set UPD_SR=N



:RUNBIOS
rem ********************************************************************************
rem * Clear environment space
rem ********************************************************************************
call clros.bat

echo.
echo Calling Updates batch file
call fwupdate.bat

rem ********************************************************************************
rem * Check for errors from UPDATES
rem ********************************************************************************
rem echo Checking for errors from updates
savestat.exe /get2 > nul

FOR %%i in (251 255) do if errorlevel %%i goto ERROR

goto END



:CFGSRF
rem ********************************************************************************
rem *
rem * Perform IBM ServeRAID BIOS and firmware updates
rem *
rem ********************************************************************************

set UPD_BIOS=N
set UPD_SR=Y



:RUNSRF
rem ********************************************************************************
rem * Clear environment space
rem ********************************************************************************
call clros.bat

echo.
echo Calling Updates batch file
call fwupdate.bat

rem ********************************************************************************
rem * Check for errors from UPDATES
rem ********************************************************************************
rem echo Checking for errors from updates
savestat.exe /get2 > nul

FOR %%i in (251 255) do if errorlevel %%i goto ERROR

goto END


:ERRCALL
rem ********************************************************************************
rem * Error calling this batch file, requires a parameter which tells us what to do
rem ********************************************************************************
echo Encountered an error and stopped processing in "runjobs.bat".
echo .
echo A required parameter is missing.

goto END

:ERROR
rem ********************************************************************************
rem * Hit an error in this batch file.
rem ********************************************************************************
echo Encountered an error and stopped processing in "runjobs.bat".

rem * Clear any error conditions.
savestat.exe /reset > nul

goto END



:END
