@echo off

rem ********************************************************************************
rem *
rem * TKNET.BAT
rem *
rem * This file controls the network connection.
rem *
rem * One of the following parameters is required...
rem *
rem * DOWN  Stops the networking service.
rem * UP    Restarts the networking service.
rem *
rem ********************************************************************************


rem ********************************************************************************
rem * Check to see if we are running a network install.  If not, then exit.
rem ********************************************************************************
if not exist A:\NET\NET.exe goto END


:NETINST
rem ********************************************************************************
rem * Check the command line parameter to determine if the network should
rem * be stopped or restarted.
rem ********************************************************************************
for %%i in (DOWN down Down) do if "%1" == "%%i" goto DOWN
for %%i in (UP up Up) do if "%1" == "%%i" goto UP
echo A syntax error occurred calling tknet.bat.
echo.
goto ERROR


:DOWN
rem ********************************************************************************
rem * Stop the Network Service.
rem ********************************************************************************
Echo Stopping the network service...

rem ***************************************
rem * Checking for Altiris Deployment
rem ***************************************
if %DPLY_TYPE%==4 goto ALTDOWN
goto NETSTOP


:ALTDOWN
A:
cd \net

rem ****************************************
rem * Store Altiris Username from System.ini
rem ****************************************
CLIni A:\NET\SYSTEM.INI /S:network /I:username /E:username /B:%RAMDSK%\setuser.bat

rem ***************************************
rem *  Check for errors: CLINI.EXE
rem ***************************************
if not errorlevel 1 goto NETSTOP
echo An error occurred running clini.exe.
echo.
goto ERROR


:NETSTOP
rem ***************************************
rem * Store the PATH environment variable
rem ***************************************
CLIni %RAMDSK%\setpath.bat /i:set PATH /v:%PATH% /ns /n


rem ***************************************
rem *  Check for errors: CLINI.EXE
rem ***************************************
if not errorlevel 1 goto SETPATH
echo An error occurred running clini.exe.
echo.
goto ERROR


:SETPATH
rem ***************************************
rem * Set the new PATH environment variable
rem ***************************************
set PATH=%RAMDSK%\;A:\;A:\DOS;A:\NET;

net stop /Yes > nul

goto END



:UP
rem ********************************************************************************
rem * Restart the Network Service.
rem ********************************************************************************
Echo Restarting the network service...

if %DPLY_TYPE%==4 goto ALTUP
goto NETSTART

:ALTUP
call setuser.bat
A:
cd \net
A:\BWLOGIN.EXE %username%	
rem ********************************************
rem * Set the original PATH environment variable
rem ********************************************
call setpath.bat
goto END

:NETSTART
%RAMDSK%\sleep 3
call netvars.bat
net start basic
net logon %LOGON% %PWD% /pwcaching:no
net use %TKDRV% \\%SRV_NAME%\%SRV_SHARE%

rem ********************************************
rem * Set the original PATH environment variable
rem ********************************************
call setpath.bat
call clrnet.bat

goto END


:ERROR
rem ********************************************************************************
rem *  Hit an error in this batch file.
rem ********************************************************************************
echo Encountered an error and stopped processing in "tknet.bat".
savestat.exe /set2=251 > nul
goto END

:END
%RAMDSK%
