@echo off
rem ************************************************************************************
rem * Description: 	Restores Factory Defaults and Deletes all logical drives for RAID
rem * Name: 		DELRAID.BAT
rem * Dependencies:	PRAID.EXE, SAVERC.BAT, TKOUT.BAT
rem * Parameters:	None 	
rem * Return Code:
rem * 			0     = Success 
rem * 			>=1   = Error code defined by PRAID.exe
rem *
rem ************************************************************************************

rem ************************************************************************************
rem *** Initialize Return Code
rem ************************************************************************************
set RC=0

rem ************************************************************************************
rem *** Run RAID Configuration Utility
rem ************************************************************************************
PRAID /r /y
if errorlevel 1 goto RAIDBAD
goto RAIDGOOD

:RAIDBAD
call saverc.bat
set MSG="Delete RAID failed."
call TKOUT.BAT
goto ERROR

:RAIDGOOD
set MSG="Delete  RAID succeeded."
call TKOUT.BAT
goto END

:ERROR
set MSG="Encountered an error and stopped processing in delraid.bat"
call TKOUT.BAT
goto END

:END
SET MSG=
SETERRLV %RC%
