@echo off
rem ************************************************************************************
rem * Description: 	Disable the BIOS on the Fiber controller.
rem * Name: 		DSBLFIBR.BAT
rem * Dependencies:	FIBRECFG.EXE, DCTQLOG.BAT, SETERRLV.EXE, SAVERC.BAT, TKOUT.BAT
rem * Parameters: 	
rem * 			%1 = Input IOAddress (optional, if no parameter is passed then all 
rem * Return Code:
rem * 			0     = Success 
rem * 			>=1   = Error code defined by FIBRECFG.exe
rem *
rem *Note: This only applies to Qlogic Fibre controllers
rem ************************************************************************************

rem ************************************************************************************
rem *** Initialize Return Code
rem ************************************************************************************
set RC=0

rem ************************************************************************************
rem *** Detect Qlogic
rem ************************************************************************************
call dtctqlog
if errorlevel 1 goto NOFIBRE

if "%1" == "" goto ENBLALL

rem ************************************************************************************
rem *** Enable BIOS for specific IOAddress
rem ************************************************************************************
fibrecfg /D %1
if errorlevel 1 goto FIBFAIL
goto FIBGOOD

rem ************************************************************************************
rem *** Enable BIOS for all Address
rem ************************************************************************************
:ENBLALL
fibrecfg /DA
if errorlevel 1 goto FIBFAIL
goto FIBGOOD

rem ************************************************************************************
rem *** Enable BIOS for all Address
rem ************************************************************************************
:NOFIBRE
set MSG="No Fibre adapter detected."
call TKOUT.BAT
set RC=0
goto FIBGOOD

:FIBFAIL
call saverc.bat
set MSG="Disable Fibre BIOS failed."
call TKOUT.BAT
goto ERROR

:FIBGOOD
set MSG="Disable Fibre BIOS succeeded."
call TKOUT.BAT
goto END

:ERROR
set MSG="Encountered an error and stopped processing in dsblfibr.bat"
call TKOUT.BAT
goto END

:END
SET MSG=
SETERRLV %RC%

