@echo off
rem ************************************************************************************
rem * Description: 	Disables the Fibre controller for booting from fibre.
rem * Name: 		DSBTFIBR.BAT
rem * Dependencies:	FIBRECFG.EXE, DCTQLOG.BAT,DCTEMUL.BAT, ENBLFIBR.BAT,
rem *               DOSLPCFG.EXE, EMULEX.SCR, SETERRLV.EXE, SAVERC.BAT, TKOUT.BAT
rem * Parameters: 	
rem *			%1 = Input IOAddress	
rem * Return Code:
rem * 			0     = Success 
rem * 			>=1   = Error code define by FIBERCFG.exe
rem *
rem ************************************************************************************

rem ************************************************************************************
rem *** Initialize Return Code
rem ************************************************************************************
set RC=0

rem ************************************************************************************
rem *** Check Parameters
rem ************************************************************************************
if "%1" == "" goto PERROR

rem ************************************************************************************
rem *** Detect Qlogic
rem ************************************************************************************
call dtctqlog
if errorlevel 1 goto DEMULEX

rem ************************************************************************************
rem *** Enable BIOS for QLOGIC
rem ************************************************************************************
set MSG="Enabling Qlogic fibre adapter BIOS at address %1"
call TKOUT.BAT
call enblfibr.bat %1
if errorlevel 1 goto FIBFAIL

rem ************************************************************************************
rem *** Disable Boot for QLOGIC
rem ************************************************************************************
set MSG="Disabling boot on Qlogic fibre adapter at address %1"
call TKOUT.BAT
fibrecfg /R /BD %1
if errorlevel 1 goto FIBFAIL
goto FIBGOOD

rem ************************************************************************************
rem *** Detect Emulex
rem ************************************************************************************
:DEMULEX
call dtctemul
if errorlevel 1 goto NOFIBRE

rem ************************************************************************************
rem *** Disable Boot for Emulex 
rem ************************************************************************************
doslpcfg @emulex.scr max=4
set MSG="Disabling boot on Emulex fibre adapter at address %1"
call TKOUT.BAT
fibrecfg /R /BD %1 /EM
if errorlevel 1 goto FIBFAIL
call emlxset.bat
doslpcfg disableboot n=%emlxadp% max=4
if errorlevel 1 goto FIBFAIL
goto FIBGOOD


:NOFIBRE
set MSG="No Fibre adapter detected."
call TKOUT.BAT
SET RC=0
goto END

:FIBFAIL
call saverc.bat
set MSG="Disable Fibre Boot failed."
call TKOUT.BAT
echo "failed" >rs.err
goto ERROR

:FIBGOOD
set MSG="Disable Fibre Boot succeeded."
call TKOUT.BAT
goto END

:PERROR
set MSG="Missing script parameter."
call TKOUT.BAT
SET RC=1
goto ERROR

:ERROR
set MSG="Encountered an error and stopped processing in dsbtfibr.bat"
call TKOUT.BAT
goto END

:END
SET MSG=
SETERRLV %RC%
