@echo off
rem ************************************************************************************
rem * Description: 	Detects if there is a Fibre controller supported by FIBERCFG.EXE
rem * Name: 		DTCTFIBRE.BAT
rem * Dependencies:	DTCTQLOG.BAT, DTCTEMUL.BAT, SETERRLV.EXE, SAVERC.BAT, TKOUT.BAT
rem * Parameters: 	None
rem * Return Code:
rem * 			0   = supported FIBRE controller is found 
rem * 			1   = supported FIBRE controller not found
rem ************************************************************************************

rem ************************************************************************************
rem *** Initialize Return Code
rem ************************************************************************************
set RC=0

rem ************************************************************************************
rem *** Detect Qlogic
rem ************************************************************************************
call dtctqlog
if errorlevel 1 goto DEMULEX
goto FIBRE

rem ************************************************************************************
rem *** Detect Emulex
rem ************************************************************************************
:DEMULEX
call dtctemul
if errorlevel 1 goto NOFIBRE
goto FIBRE

:NOFIBRE
set MSG="Fibre adapters not detected."
call TKOUT.BAT
SET RC=1
goto END

:FIBRE
set MSG="Fibre adapters detected."
call TKOUT.BAT
SET RC=0
goto END

:END
SET MSG=
SETERRLV %RC%

