@echo off
rem ************************************************************************************
rem * Description: 	Enable the BIOS on the Fiber controller.
rem * Name: 		ENBLFIBR.BAT
rem * Dependencies:	FIBRECFG.EXE, DCTQLOG.BAT, SETERRLV.EXE
rem *               SAVERC.BAT, TKOUT.BAT
rem * Parameters: 	
rem * 			%1 = Input IOAddress (optional, if no parameter is passed then all 
rem * Return Code:
rem * 			0     = Success 
rem * 			>=1   = Error code defined by FIBRECFG.exe
rem *
rem *Note: This only applies to Qlogic Fibre controllers
rem ************************************************************************************

rem ************************************************************************************
rem *** Initialize Return Code
rem ************************************************************************************
set RC=0

rem ************************************************************************************
rem *** Detect Qlogic
rem ************************************************************************************
call dtctqlog
if errorlevel 1 goto NOFIBRE

if "%1" == "" goto ENBLALL

rem ************************************************************************************
rem *** Enable BIOS for IOAddress
rem ************************************************************************************
fibrecfg /E %1
if errorlevel 1 goto FIBFAIL
goto FIBGOOD

rem ************************************************************************************
rem *** Enable BIOS for all Addresses
rem ************************************************************************************
:ENBLALL
fibrecfg /EA
if errorlevel 1 goto FIBFAIL
goto FIBGOOD

:FIBFAIL
call saverc.bat
set MSG="Enable Fibre BIOS failed."
call TKOUT.BAT
goto ERROR

:NOFIBRE
set MSG="No Fibre adapter detected."
call TKOUT.BAT
SET RC=0
goto FIBGOOD

:FIBGOOD
set MSG="Enable Fibre BIOS succeeded."
call TKOUT.BAT
goto END

:ERROR
set MSG="Encountered an error and stopped processing in enblfibr.bat"
call TKOUT.BAT
goto END

:END
SET MSG=
SETERRLV %RC%
