@echo off
rem ************************************************************************************
rem * Description: 	Gathers Inventory for Fibre controllers
rem * Name: 		INVFIBR.BAT
rem * Dependencies:	FIBRECFG.EXE, DOSLPCFG.EXE, EMULEX.SCR, DTCTEMUL.BAT, DCTQLOG.BAT
rem *               SAVERC.BAT, TKOUT.BAT
rem * Parameters: 	
rem * 			%1 = Output filename for Inventory file
rem * Return Code:
rem * 			0     = Success 
rem * 			>=1   = Error code defined by FIBERCFG.exe
rem ************************************************************************************

rem ************************************************************************************
rem *** Initialize Return Code
rem ************************************************************************************
set RC=0

rem ************************************************************************************
rem *** Check Parameters
rem ************************************************************************************
if "%1" == "" goto PERROR

rem ************************************************************************************
rem *** Detect Qlogic
rem ************************************************************************************
call dtctqlog
if errorlevel 1 goto DEMULEX

rem ************************************************************************************
rem *** Gather fibre information
rem ************************************************************************************
fibrecfg /P /R >>%1
if errorlevel 1 goto FIBFAIL
goto DEMULEX


rem ************************************************************************************
rem *** Detect Emulex
rem ************************************************************************************
:DEMULEX
call dtctemul
if errorlevel 1 goto NOFIBRE

rem ************************************************************************************
rem *** Gather fibre information
rem ************************************************************************************
doslpcfg @emulex.scr max=4
fibrecfg /P /R /EM >>%1
if errorlevel 1 goto FIBFAIL
del emulex.out
goto FIBGOOD

:FIBFAIL
call saverc.bat
set MSG="RDSCAN000I Scan failed."
call TKOUT.BAT
goto ERROR

:NOFIBRE
set MSG="Fibre adapters not detected."
call TKOUT.BAT
SET RC=0
goto FIBGOOD


:FIBGOOD
set MSG="RDSCAN000I Scan succeeded."
call TKOUT.BAT
goto END


:PERROR
set MSG="Missing script parameter."
call TKOUT.BAT
SET RC=1
goto ERROR

:ERROR
set MSG="Encountered an error and stopped processing in invraid.bat"
call TKOUT.BAT
goto END

:END
SET MSG=
SETERRLV %RC%


