@echo off
rem ************************************************************************************
rem * Description: 	Gathers Inventory for RAID controllers 
rem * Name: 		INVRAID.BAT
rem * Dependencies:	INVRAID.EXE, SETERRLV.EXE, SAVERC.BAT, TKOUT.BAT
rem * Parameters:	
rem *			%1 = Output filename for Inventory file
rem * Return Code:
rem * 			0     = Success 
rem * 			>=1   = Error code defined by INVRAID.exe
rem ************************************************************************************

rem ************************************************************************************
rem *** Initialize Return Code
rem ************************************************************************************
set RC=0

rem ************************************************************************************
rem *** Check Parameters
rem ************************************************************************************
if "%1" == "" goto PERROR

rem ************************************************************************************
rem *** Detect RAID adapter
rem ************************************************************************************
call dtctraid
if errorlevel 1 goto NORAID

rem ************************************************************************************
rem *** Run RAID Inventory Utility
rem ************************************************************************************
INVRAID.EXE /i /l >%1
if errorlevel 1 goto RAIDFAIL
goto RAIDGOOD

:RAIDFAIL
call saverc.bat
set MSG="RDSCAN000I Scan failed."
call TKOUT.BAT
goto ERROR

:NORAID
set MSG="RAID adapters not detected."
call TKOUT.BAT
goto RAIDGOOD

:RAIDGOOD
set MSG="RDSCAN000I Scan succeeded."
call TKOUT.BAT
goto END

:PERROR
set MSG="Missing script parameter."
call TKOUT.BAT
SET RC=1
goto ERROR

:ERROR
set MSG="Encountered an error and stopped processing in invraid.bat"
call TKOUT.BAT
goto END

:END
SET MSG=
SETERRLV %RC%
